Summary: Converts text and other types of files to PostScript(TM)
Name: a2ps
Version: 4.14
Release: 1
License: GPLv3+
Group: Applications/Publishing
Source0: http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-%{version}-configure.patch
URL: http://www.gnu.org/software/%{name}/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: /sbin/install-info, info
BuildRequires: gperf, psutils, gettext
Requires: gperf, psutils, gettext

%description
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.


%prep
%setup -q
%patch0
%patch1


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-shared --disable-static
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/ogonkify.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/regex.info.gz %{_infodir}/dir || :
(
  cd %{_datadir}/%{name}/afm;
  ./make_fonts_map.sh > /dev/null 2>&1 || /bin/true
  if [ -f fonts.map.new ]; then
       mv fonts.map.new fonts.map
  fi
)
exit 0


%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
   /sbin/install-info --delete %{_infodir}/ogonkify.info.gz %{_infodir}/dir || :
   /sbin/install-info --delete %{_infodir}/regex.info.gz %{_infodir}/dir || :
fi
exit 0


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%config %{_sysconfdir}/a2ps.cfg
%config(noreplace) %{_sysconfdir}/a2ps-site.cfg
%doc AUTHORS ChangeLog COPYING NEWS README TODO THANKS
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
%{_infodir}/*.info*
%{_mandir}/man?/*
# automatically regenerated at install and update time
%verify(not size mtime md5) %{_datadir}/a2ps/afm/fonts.map
%{_datadir}/%{name}/README
%dir %{_datadir}/a2ps
%dir %{_datadir}/a2ps/afm
%{_datadir}/%{name}/afm/*.afm
%{_datadir}/%{name}/afm/make_fonts_map.sh
%{_datadir}/%{name}/encoding
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/ppd
%{_datadir}/%{name}/ps
%{_datadir}/%{name}/sheets
%{_datadir}/locale/*
%{_datadir}/ogonkify
/usr/bin/*
/usr/include/*
/usr/lib/*


%changelog
* Tue Jun 17 2008 Michael Perzl <michael@perzl.org> - 4.14-1
- first version for AIX V5.1 and higher
